%define perl_sitelib %(eval "`%{_bindir}/perl -V:installsitelib`"; echo $installsitelib)

Summary:       Manage the installation of software packages from source
Name:          stow
Version:       2.1.3
Release:       1
License:       GPLv2+
Group:         Development/Tools
URL:           http://www.gnu.org/software/stow/stow.html
Source0:       http://ftp.gnu.org/gnu/stow/%{name}-%{version}.tar.bz2
Source1:       http://ftp.gnu.org/gnu/stow/%{name}-%{version}.tar.bz2.sig
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl >= 5.24.1-1, /sbin/install-info, info
Requires:      perl >= 5.24.1-1, /sbin/install-info, info

%description
GNU Stow is a program for managing the installation of software packages,
keeping them separate (/usr/local/stow/emacs vs. /usr/local/stow/perl, for
example) while making them appear to be installed in the same place
(/usr/local). Software to ease the keeping track of software built from
source, making it easy to install, delete, move etc.


%package doc
Summary:    Documentation for Stow
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description doc
This package contains the documentation for GNU Stow.


%define moredocs %{_datadir}/doc/stow-doc-%{version}


%prep
%setup -q


%build
export PERL=/opt/freeware/bin/perl

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --docdir=%{moredocs}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

# remove unnecessary documentation
cd ${RPM_BUILD_ROOT}%{moredocs}/
rm -f ChangeLog* README version.texi

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 -eq 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
        %{_infodir}/dir 2>/dev/null || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README AUTHORS INSTALL ChangeLog NEWS THANKS TODO
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
%{perl_sitelib}/*
/usr/bin/*


%files doc
%defattr(-,root,system)
%doc %{moredocs}


%changelog
* Wed Jun 13 2018 Michael Perzl <michael@perzl.org> - 2.1.3-1
- updated to version 2.1.3

* Fri Jan 13 2012 Michael Perzl <michael@perzl.org> - 1.3.3-1
- first version for AIX V5.1 and higher
